Skip to main content
PATCH
JavaScript

Authorizations

X-API-KEY
string
header
required

Server API Key

Headers

X-ACCOUNT-ID
string

Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.

X-ENVIRONMENT-ID
string

Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).

Path Parameters

id
string
required

The unique identifier of the entity

Required string length: 1 - 255

Body

application/json

Partially update an existing customer. Only provided fields are updated.

name
string | null

The name of the customer

Maximum string length: 255
email
string<email> | null

The email of the customer

Maximum string length: 255
billingId
string | null

The unique identifier for the entity in the billing provider

Maximum string length: 255
billingCurrency
enum<string> | null

The billing currency of the customer

Available options:
usd,
aed,
all,
amd,
ang,
aud,
awg,
azn,
bam,
bbd,
bdt,
bgn,
bif,
bmd,
bnd,
bsd,
bwp,
byn,
bzd,
brl,
cad,
cdf,
chf,
cny,
czk,
dkk,
dop,
dzd,
egp,
etb,
eur,
fjd,
gbp,
gel,
gip,
gmd,
gyd,
hkd,
hrk,
htg,
idr,
ils,
inr,
isk,
jmd,
jpy,
kes,
kgs,
khr,
kmf,
krw,
kyd,
kzt,
lbp,
lkr,
lrd,
lsl,
mad,
mdl,
mga,
mkd,
mmk,
mnt,
mop,
mro,
mvr,
mwk,
mxn,
myr,
mzn,
nad,
ngn,
nok,
npr,
nzd,
pgk,
php,
pkr,
pln,
qar,
ron,
rsd,
rub,
rwf,
sar,
sbd,
scr,
sek,
sgd,
sle,
sll,
sos,
szl,
thb,
tjs,
top,
try,
ttd,
tzs,
uah,
uzs,
vnd,
vuv,
wst,
xaf,
xcd,
yer,
zar,
zmw,
clp,
djf,
gnf,
ugx,
pyg,
xof,
xpf
metadata
object

Additional metadata

integrations
CustomerIntegration · object[]

List of integrations

couponId

Customer level coupon

Required string length: 1 - 255
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$
timezone
string | null

Timezone to use for this customer

Maximum string length: 255
language
string | null

Language to use for this customer

Maximum string length: 255
passthrough
CustomerPassthrough · object

Vendor-specific billing passthrough fields.

Response

The updated customer object.

Response object

data
Customer · object
required

A customer can be either an organization or an individual